nodes / tasks
5 operations.
GET /nodes/{node}/tasks
ts
proxmox.nodes.$(node).tasks.$get()Read task list for one node (finished tasks).
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
errors | boolean | Only list tasks with a status of ERROR. — default 0 | |
limit | number | Only list this number of tasks. — min 0, default 50 | |
node | string | yes | The cluster node name. — format pve-node |
since | number | Only list tasks since this UNIX epoch. | |
source | archive | active | all | List archived, active or all tasks. — default "archive" | |
start | number | List tasks beginning from this offset. — min 0, default 0 | |
statusfilter | string | List of Task States that should be returned. — format pve-task-status-type-list | |
typefilter | string | Only list tasks of this type (e.g., vzstart, vzdump). | |
until | number | Only list tasks until this UNIX epoch. | |
userfilter | string | Only list tasks from this user. | |
vmid | number | Only list tasks for this VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/tasks/{upid}
ts
proxmox.nodes.$(node).tasks.$(upid).$get()Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
upid | string | yes |
DELETE /nodes/{node}/tasks/{upid}
ts
proxmox.nodes.$(node).tasks.$(upid).$delete()Stop a task.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
upid | string | yes |
GET /nodes/{node}/tasks/{upid}/log
ts
proxmox.nodes.$(node).tasks.$(upid).log.$get()Read task log.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
download | boolean | Whether the tasklog file should be downloaded. This parameter can't be used in conjunction with other parameters | |
limit | number | The number of lines to read from the tasklog. — min 0, default 50 | |
node | string | yes | The cluster node name. — format pve-node |
start | number | Start at this line when reading the tasklog — min 0, default 0 | |
upid | string | yes | The task's unique ID. |
GET /nodes/{node}/tasks/{upid}/status
ts
proxmox.nodes.$(node).tasks.$(upid).status.$get()Read task status.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
upid | string | yes | The task's unique ID. |